.banner {
    background: url(../images/rays-big.png) no-repeat  scroll 50% 0 #19292E;
    height: 38.9rem;
}
.slider {
	background: url(../images/bg-home-banner.png) no-repeat  scroll center top / 100% 100%;
	padding: 3rem 0 6rem;
	position: relative;
	z-index: 999;
	.text-slider {
		padding: 2rem 4.5rem;
	}
	.thumb-slider {
		padding: 1rem 5rem 1rem 0;
		.shadow-thumb {
			background: url(../images/shadowBG.jpg) no-repeat  scroll center top / 100% 100%;
			padding: .5rem .5rem 2.4rem .5rem;
			@include img;
		}
	}
}
.content {
	padding-top: 15rem;
	padding-bottom: 5rem;
	.title-home {
		font-size: 1.5em;
		line-height: 2.2ren;
		background: url(../images/separator3.gif) repeat-x  scroll center bottom;
		padding: 2rem 0;
		position: relative;
		margin-bottom: 3rem;
		font-weight: 300;
		&:before {
			background: url(../images/separator3.gif) repeat-x  scroll center top;
			content: '';
			width: 100%;
			position: absolute;
			top: 0;
			left: 0;
			height: 1px;
		}
	}
}
.post-content {
	.list-post {
		padding: 0 1rem;
		.thumb {
			background: url(../images/list-post-thumb-bg.png) no-repeat  scroll center top / 100% 100%;
			margin-bottom: 1rem;
			width: 100%;
			height: 12.7rem;
			padding: 4px 6px 0 4px;
			.main-thumb {
				position: relative;
				overflow: hidden;
				@include img_block_product;
				width: 100%;
				height: 10.9rem;
				img {
					@include transition(all 0.5s ease-in-out 0s);
					width: 100%;
				}
			}
		}
		h3 {
			margin-bottom: 1rem;
		}
	}
}
.more {
	text-decoration: underline !important;
	font-weight: bold;
	&:hover {
		color: #333;
	}
}
.banner-page {
	height: auto;
}
.page-head {
    background: url(../images/inner1.jpg) no-repeat center;
    background-size: cover;
    -webkit-background-size: cover;
    -o-background-size: cover;
    -ms-background-size: cover;
    -moz-background-size: cover;
    min-height: 20rem;
    padding-top: 5rem;
    h3 {
    	color: #fff;
	    text-align: center;
	    text-transform: uppercase;
	    font-size: 3rem;
	    font-weight: 700;
	    letter-spacing: 2px;
    }
    .services-breadcrumb {
	    padding: 0;
	    background: none;
	    text-align: center;
	    ul {
	    	text-align: left;
    		padding-top: 8.5rem;
    		li {
    			display: inline-block;
			    text-transform: uppercase;
			    color: #fff;
			    font-size: 1.2rem;
			    font-weight: bold;
			    letter-spacing: 1px;
			    a {
		    	    color: #2fdab8;
					text-decoration: none;
			    }
			    i {
			    	padding: 0 1.5rem;
			    }
    		}
	    }
	}
}
.content-page {
	padding: 4rem 0;
}
.title-page {
	@include title-blog;
}
.map {
	iframe {
		width: 100%;
	}
}
.content-page-contact {
	padding-top: 5rem;
	.contact-form,
	.address-grid {
		h4 {
		    font-size: 2.5rem;
		    text-transform: uppercase;
		    color: #181919;
		    letter-spacing: 1px;
		    span {
		    	font-weight: 300;
		    }
		}
	}
	form,
	.mail-agileits-w3layouts {
	    margin-top: 3rem;
	}
	.mail-agileits-w3layouts i {
	    color: #0e0e0e;
	    font-size: 2.9rem;
	    float: left;
	    width: 7rem;
	    height: 7rem;
	    border: .2rem solid #ddd;
	    text-align: center;
	    line-height: 6.7rem;
	}	
	.contact-right {
	    padding-left: 2rem;
	    float: left;
	    p {
	    	text-transform: uppercase;
		    font-weight: 700;
		    color: #2fdab8;
		    font-size: 1.5rem;
		    letter-spacing: .2rem;
		    margin-bottom: 0.5rem;
	    }
	    span {
	    	color: #545454;
		    font-size: 1.2rem;
		    line-height: 1.8rem;
		    letter-spacing: 1px;
	    }
	}
	.styled-input {
	    width: 100%;
	    margin: 2rem 0 1rem;
	    position: relative;
	    label {
		    color: #555;
		    padding: 0.5rem 0rem;
		    position: absolute;
		    top: 0;
		    left: 0;
		    -webkit-transition: all 0.3s;
		    -moz-transition: all 0.3s;
		    transition: all 0.3s;
		    pointer-events: none;
		    font-weight: 400;
		    font-size: 1.4rem;
		    letter-spacing: 1px;
		    display: block;
		    line-height: 1rem;
		}
		input ~ span, 
		textarea ~ span {
		    display: block;
		    width: 0;
		    height: 2px;
		    background: rgb(39, 39, 39);
		    position: absolute;
		    bottom: 0;
		    left: 0;
		    -webkit-transition: all 0.125s;
		    -moz-transition: all 0.125s;
		    transition: all 0.125s;
		}
		textarea ~ span { 
		    bottom: 5px; 
		}
		input:focus,
		textarea:focus { 
			outline: 0; 
		} 
		input:focus ~ span,
		textarea:focus ~ span {
			width: 100%;
			-webkit-transition: all 0.075s;
			-moz-transition: all 0.075s;  
			transition: all 0.075s; 
		}
		input.focus ~ label, 
		textarea.focus ~ label{
		    font-size: .9em;
		    color: #2fdab8;
		    top: -1.3em;
		    -webkit-transition: all 0.125s;
			-moz-transition: all 0.125s; 
			-o-transition: all 0.125s;
			-ms-transition: all 0.125s;
		    transition: all 0.125s;
		} 
	}
	.contact-form input[type="text"],
	.contact-form input[type="email"], 
	.contact-form textarea {
	    font-size: 1.7rem;
	    letter-spacing: 1px;
	    padding: 0.5rem 1rem;
	    border: 0;
	    width: 100%;
	    border-bottom: 1px solid #dcdcdc;
	    background: none;
	    -webkit-appearance: none;
	    outline: none;
	}
	.contact-form {
		input[type="submit"] {
		    border: none;
		    padding: 0.8em 2.5em;
		    font-size: 15px;
		    outline: none;
		    text-transform: uppercase;
		    font-weight: 700;
		    letter-spacing: 1px;
		    background: #2fdab8;
		    color: #fff;
		}
		textarea {
			height: 5rem;
		}
	}
}
.separator {
	margin: 0 .5rem;
}
.products-page {
	background: #fff;
	.container {
	    width: 100%;
	    max-width: 117rem;
	}
}
.single-pro {
    margin-top: 3rem;
    .product-men {
	    margin-top: 4rem;
	}
	.men-pro-item {
	    position: relative;
	    box-shadow: 0 0 1.5rem 0px #D6D6D6;
	    padding-bottom: 2rem;
	}
	.men-thumb-item {
	    position: relative;
	    &::before {
		    width: 100%;
		    height: 100%;
		    position: absolute;
		    top: 0;
		    left: 0;
		    content: "";
		    opacity: 0;
		    z-index: 9;
		    visibility: hidden;
		    transition: all 0.5s ease-out 0s;
		}
		img {
		    transition: all 0.5s ease-out 0s;
		    width: 100%;
		    padding: 5.2rem 5rem 2rem;
		}
	}
	.men-cart-pro {
	    bottom: 0;
	    left: 0;
	    margin: auto;
	    opacity: 0;
	    overflow: hidden;
	    position: absolute;
	    right: 0;
	    text-align: center;
	    top: 0;
	    transition: all 0.5s ease-out 0s;
	    z-index: 10;
	}
	.link-product-add-cart {
	    background: #000 none repeat scroll 0 0;
	    color: #fff;
	    display: inline-block;
	    height: 4rem;
	    line-height: 4rem;
	    text-transform: uppercase;
	    transition: all 0.5s ease-out 0s;
	}
	.inner-men-cart-pro {
	    height: 100%;
	    position: relative;
	    width: 100%;
	    transition: all 0.5s ease-out 0s;
	    text-align: center;

	    .link-product-add-cart {
		    width: 100%;
		    top: 0;
		    left: 0;
		    position: absolute;
		    transition: all 0.5s ease-out 0s;
		    &:hover {
		    	background: #2fdab8 none repeat scroll 0 0;
    			color: #fff;
		    }
		}
	}
	.men-thumb-item:hover {
		.men-cart-pro {
			opacity: 1;
			.link-product-add-cart {
			    top: 83.5%;
			}
		}
	}
	.product-new-top {
	    background: #fc636b none repeat scroll 0 0;
	    color: #fff;
	    display: inline-block;
	    right: 0;
	    padding: 0 1rem .1rem;
	    position: absolute;
	    top: 0;
	    z-index: 99;
	    font-size: 1.4rem;
	}
	.item-info-product {
	    text-align: center;
	    margin: 2rem 0 0;
	    h4 {
	    	a {
			    font-size: 1.4rem;
			    color: #fc636b;
			    text-decoration: none;
			    font-weight: 600;
			}
	    }
	}
	.info-product-price {
	    margin: 1rem 0;
	    .info-product-price span {
		    color: #000;
		    font-size: 1.2rem;
		    font-weight: 600;
		    letter-spacing: 1px;
		}
		del {
		    color: #908e8e;
		    margin-left: 1rem;
		    letter-spacing: 1px;
		}
	}
}
.button_add_to_cart {
    text-align: center;
    margin: 0.5em auto 1em;
    width: 77%;
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -moz-osx-font-smoothing: grayscale;
    position: relative;
    background: #2fdab8;
    &::before {
		content: '';
		position: absolute;
		border: #2fdab8 solid 4px;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		-webkit-transition-duration: 0.3s;
		transition-duration: 0.3s;
		-webkit-transition-property: top, right, bottom, left;
		transition-property: top, right, bottom, left;
	}
	a {
		font-size: 1.3rem !important;
	    color: #fff !important;
	    background: #2fdab8 !important;
	    text-decoration: none !important;
	    position: relative !important;
	    border: none !important;
	    border-radius: 0 !important;
	    width: 100% !important;
	    text-transform: uppercase !important;
	    padding: 1rem 0 !important;
	    outline: none !important;
	    letter-spacing: 1px !important;
	    font-weight: 600 !important;
	    transition: 0.5s all !important;
	    -webkit-transition: 0.5s all !important;
	    -moz-transition: 0.5s all !important;
	    -o-transition: 0.5s all !important;
	    -ms-transition: 0.5s all !important;
	}
	&:hover:before {
		top: -8px;
		right: -8px;
		bottom: -8px;
		left: -8px;
	}
}
.products-single-page {
	.single-right-left {
		.images {
			width: 100% !important;
		}
		.yith_magnifier_mousetrap {
			-webkit-transition: all 1s ease;
		    -moz-transition: all 1s ease;
		    -ms-transition: all 1s ease;
		    -o-transition: all 1s ease;
		    transition: all 1s ease;
		    border: 1px solid #D1CFCF;
		}
		.yith_magnifier_zoom_magnifier {
			background: #fff;
		}
		.slider {
			background: none;
			padding-bottom: 1rem;
			ul {
				li {
					margin-right: .4rem;
					border: 1px solid #D1CFCF;
				}
			}
			#slider-prev,
			#slider-next {
				top: 35% !important;
			}
			.caroufredsel_wrapper {
				height: 15rem !important;
			}
		}
		h1 {
		    text-transform: capitalize;
		    font-size: 2.3rem;
		    color: #2fdab8;
		    margin: 0;
		    letter-spacing: 1px;
		    font-weight: 600;
		}
		.price {
			margin-top: 2rem;
			color: #333 !important;
		}
		.quantity {
			.input-text {
				width: 100%;
				max-width: 100px;
				height: 50px;
				font-size: 2rem;
			}
		}
		button {
			font-size: 1.3rem !important;
		    color: #fff !important;
		    background: #2fdab8 !important;
		    text-decoration: none !important;
		    position: relative !important;
		    border: none !important;
		    border-radius: 0 !important;
		    width: 100% !important;
		    max-width: 200px;
		    text-transform: uppercase !important;
		    padding: 1.8rem 0 !important;
		    outline: none !important;
		    letter-spacing: 1px !important;
		    font-weight: 600 !important;
		    transition: 0.5s all !important;
		    -webkit-transition: 0.5s all !important;
		    -moz-transition: 0.5s all !important;
		    -o-transition: 0.5s all !important;
		    -ms-transition: 0.5s all !important;
		}
		.product_meta {
			font-size: 1.6rem;
		}
	}
	.single_page_agile_its_w3ls {
	    padding: 2rem;
	    border: 1px solid #ddd;
	    margin-bottom: 4rem;
	    p {
	    	font-size: 1.8rem;
	    	line-height: 2.6rem;
	    }
	}
	.related {
		h2 {
		    font-size: 2.5rem;
		    font-weight: 700;
		    text-align: center;
		    letter-spacing: 2px;
		    color: #000;
		    margin-bottom: 1em;
		    text-transform: uppercase;
		}
	}
}
/** woocommerce **/
.woocommerce-page,
.woocommerce-cart {
	background: #fff;
}
.woocommerce-message {
    border-top-color: #2fdab8 !important;
    font-size: 1.4rem;
    line-height: 2rem;
    &::before {
	    content: '\e015';
	    color: #2fdab8;
	}
}
.woocommerce #respond input#submit.alt, 
.woocommerce a.button.alt, 
.woocommerce button.button.alt, 
.woocommerce input.button.alt {
    background-color: #2fdab8;
    color: #fff;
    -webkit-font-smoothing: antialiased;
}
.button_add_to_cart_100 {
	width: 100%;
}
.woocommerce {
	.btnwc {
	    color: #fff !important;
	    background: #2fdab8 !important;
	    text-decoration: none !important;
	    letter-spacing: 1px !important;
	    font-weight: 600 !important;
	    transition: 0.5s all !important;
	    -webkit-transition: 0.5s all !important;
	    -moz-transition: 0.5s all !important;
	    -o-transition: 0.5s all !important;
	    -ms-transition: 0.5s all !important;
	}
	.woocommerce-additional-fields {
		display: none;
	}
	.order_review_block {
		padding-top: 4rem;
	}
	.wc_payment_methods {
		display: none;
	}
	.extra-fields {
		.form-row {
		    width: 100%;
		    margin: 2rem 0 1rem;
		    position: relative;
		    label {
			    color: #2fdab8;
			    padding: 0.5rem 0rem;
			    font-weight: 400;
			    font-size: 1.4rem;
			    letter-spacing: 1px;
			    display: block;
			    line-height: 1rem;
			}
			input:focus,
			textarea:focus { 
				outline: 0; 
				border-bottom: 1px solid #000;
			} 
		}
		input[type="tel"],
		input[type="text"],
		input[type="email"], 
		textarea {
		    font-size: 1.7rem;
		    letter-spacing: 1px;
		    padding: 0.5rem 1rem;
		    border: 0;
		    width: 100%;
		    border-bottom: 1px solid #dcdcdc;
		    background: none;
		    -webkit-appearance: none;
		    outline: none;
		}
		input[type="submit"] {
		    border: none;
		    padding: 0.8em 2.5em;
		    font-size: 15px;
		    outline: none;
		    text-transform: uppercase;
		    font-weight: 700;
		    letter-spacing: 1px;
		    background: #2fdab8;
		    color: #fff;
		}
		textarea {
			height: 5rem;
		}
	}
	.woocommerce-notice {
		text-align: center;
		font-size: 1.4rem;
		color: #333;
		background: #fff;
		border: 1px solid #ddd;
		padding: 1.5rem 1rem;
	}

}
.aaa {
	position: relative;
	img {
		display: block;
    	position: absolute;
    	-webkit-transform-style: preserve-3d;
	    -moz-transform-style: preserve-3d;
	    transform-style: preserve-3d;
	    -webkit-transform-origin: 0% 50%;
	    -moz-transform-origin: 0% 50%;
	    transform-origin: 0% 50%;
	    -webkit-transition: -webkit-transform .5s;
	    -moz-transition: -moz-transform .5s;
	    transition: transform .5s;
	    -webkit-transform: translate3d(0,0,20px);
	    -moz-transform: translate3d(0,0,20px);
	    transform: translate3d(0,0,20px);
	    z-index: 10;
	}
	.active {
	    -webkit-transform: translate3d(0,0,20px) rotate3d(0,1,0,-160deg);
		-moz-transform: translate3d(0,0,20px) rotate3d(0,1,0,-160deg);
    	transform: translate3d(0,0,20px) rotate3d(0,1,0,-160deg);
	}
}
.loading-trongdong {
	width: 100%;
	height: 100%;
	position: fixed;
	z-index: 9999;
	top: 0;
	left: 0;
	display: flex;
	.left-trongdong {
		width: 50%;
		height: 100%;
		background: url(../images/trongdongleft.png) no-repeat scroll left top / 100% 100%;

		-webkit-transform-style: preserve-3d;
	    -moz-transform-style: preserve-3d;
	    transform-style: preserve-3d;

	    -webkit-transform-origin: 0% 50%;
	    -moz-transform-origin: 0% 50%;
	    transform-origin: 0% 50%;

	    -webkit-transition: -webkit-transform 1.5s;
	    -moz-transition: -moz-transform 1.5s;
	    transition: transform 1.5s;

	    &.active {
	    	transform: perspective(500px) rotateY(80deg);
	    }
	}
	
	.right-trongdong {
		width: 50%;
		height: 100%;
		background: url(../images/trongdongright.png) no-repeat scroll right top / 100% 100%;
		-webkit-transform-style: preserve-3d;
	    -moz-transform-style: preserve-3d;
	    transform-style: preserve-3d;

	    -webkit-transform-origin: right;
	    -moz-transform-origin: right;
	    transform-origin: right;

	    -webkit-transition: -webkit-transform 1.5s;
	    -moz-transition: -moz-transform 1.5s;
	    transition: transform 1.5s;

	    &.active {
	    	transform: perspective(500px) rotateY(-80deg);
	    }

	}
}